#!/usr/bin/env python
__version__ = '$Revision: 8224 $'.split()[1]
__date__ = '$Date: 2008-01-12 12:10:37 -0500 (Sat, 12 Jan 2008) $'.split()[1]
__author__ = 'Kurt Schwehr'

__doc__= ''' 

Distutils setup script for the Automatic Identification System tools.

@copyright: 2007 Kurt Schwehr
@var __date__: Date of last svn commit
@undocumented: __version__ __author__ __doc__ parser success
@since: Fall 2006
@status: under development
@organization: U{CCOM<http://ccom.unh.edu/>}
@license: GPL v2
@todo: Allow ezsetup/setuptools support
@see: U{python idioms<http://jaynes.colorado.edu/PythonIdioms.html>} - Read this before modifying any code here.
'''

from distutils.core import setup

#import ais

from ais import __version__ as VERSION
#VERSION=str(ais.__version__)
# FIX: pull version from noaadata/__init__.py
#VERSION='0.4.0'
#from noaadata import VERSION

import glob
SCRIPTS=glob.glob('scripts/*')
'List of files that are executable and that need to be installed in the bin folder/path'

if __name__=='__main__':

    setup(name='noaadata-py',
          version=VERSION,
          author='Kurt Schwehr',
          author_email='kurt@ccom.unh.edu',
          maintainer='Kurt Schwehr',
          maintainer_email='kurt@ccom.unh.edu',
          url='http://vislab-ccom.unh.edu/~schwehr/src/noaadata',
          download_url='http://vislab-ccom.unh.edu/~schwehr/src/noaadata/downloads/noaadata-py-'+VERSION+'.tar.bz2',
          description='Encode/decode NOAA co-ops marine data and marine AIS',
          long_description='''Library for handling marine Automatic Identification System (AIS)
messages and NOAA marine data messages from http://opendap.co-ops.nos.noaa.gov/axis/. 
Has extensions to handle the USCG N-AIS receive fields.  The SOAP code is a bit rusty and now
uses pydap.

For AIS ship traffic, noaadata provides bridges to sqlite3 and
postgresql/postgis databases.  Is able to generate Google Earth KML
files for AIS.

Part of the UNH/NOAA Chart of the Future project.

Still in development.  Some rough edges.
          ''',
          license='GPL',
          keywords='axis, soap, marine, NOAA, AIS, N-AIS, binary messages, NMEA',
          platforms='All platforms',
          classifiers=[
            'Topic :: System :: Networking'
            , 'Development Status :: 4 - Beta'
            , 'Environment :: Console'
            , 'Intended Audience :: Science/Research'
            , 'License :: OSI Approved :: GNU General Public License (GPL)'
            , 'Topic :: Communications'
            , 'Topic :: Database'
            , 'Topic :: Scientific/Engineering :: Information Analysis'
            , 'Topic :: Scientific/Engineering :: Interface Engine/Protocol Translator'
            , 'Topic :: Scientific/Engineering :: Visualization'
            , 'Topic :: Software Development :: Code Generators'
            ],
          packages=['noaadata','ais','aisutils'],
          scripts=SCRIPTS,
          )

